Debian Bug report logs - #632600
integer parsing broken on freebsd-make

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 3 Jul 2011 23:15:01 UTC

Severity: grave

Found in version freebsd-buildutils/8.2-4

Fixed in version freebsd-buildutils/8.2-5

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#632600; Package freebsd-buildutils. (Sun, 03 Jul 2011 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 03 Jul 2011 23:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: integer parsing broken on freebsd-make
Date: Sun, 03 Jul 2011 23:12:59 +0000
Package: freebsd-buildutils
Version: 8.2-4
Severity: grave

Integer parsing is broken in freebsd-make since the switch to libbsd overlay.

>From kfreebsd-8 build log [1]:

===> fdc (obj)
"/build/buildd-kfreebsd-8_8.2-4-kfreebsd-i386-ti3Zd5/kfreebsd-8-8.2/flavor-8.2-1-486/sys/modules/fdc/Makefile", line 22: Unassociated shell command "echo "#define FDC_DEBUG 1" >> ${.TARGET}"
make: fatal errors encountered -- cannot continue

This is caused by bug #630907, which also affects <stdlib.h>, which breaks
strtod() call in cond.c.

https://buildd.debian.org/status/fetch.php?pkg=kfreebsd-8&arch=kfreebsd-i386&ver=8.2-4&stamp=1309709826

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-buildutils depends on:
ii  bsdmainutils                8.2.3        collection of more utilities from 
ii  libbsd0                     0.3.0-1      utility functions from BSD systems
pn  libc0.1                     <none>       (no description available)
ii  make                        3.81-8.1     An utility for Directing compilati
ii  original-awk                2011-05-06-1 The original awk described in "The
ii  patchutils                  0.3.2-1      Utilities to work with patches
ii  unzip                       6.0-5        De-archiver for .zip files

freebsd-buildutils recommends no packages.

freebsd-buildutils suggests no packages.

-- no debconf information




Added blocking bug(s) of 632600: 630907 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 03 Jul 2011 23:21:02 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 04 Jul 2011 18:51:15 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Mon, 04 Jul 2011 18:51:15 GMT) Full text and rfc822 format available.

Message #12 received at 632600-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 632600-close@bugs.debian.org
Subject: Bug#632600: fixed in freebsd-buildutils 8.2-5
Date: Mon, 04 Jul 2011 18:47:30 +0000
Source: freebsd-buildutils
Source-Version: 8.2-5

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-5.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-5.debian.tar.gz
freebsd-buildutils_8.2-5.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-5.dsc
freebsd-buildutils_8.2-5_kfreebsd-i386.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-5_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632600@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jul 2011 15:43:02 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-i386
Version: 8.2-5
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 632600
Changes: 
 freebsd-buildutils (8.2-5) unstable; urgency=low
 .
   * Disable libbsd overlay untill #630907 is fixed.  (Closes: #632600)
Checksums-Sha1: 
 b2df40d48cbdf7d3375344789bf150134121e105 1374 freebsd-buildutils_8.2-5.dsc
 f084ddcc0af2e1a3e69183b8e23698ed49e30bcf 30592 freebsd-buildutils_8.2-5.debian.tar.gz
 a0fd90756250ed32cfaded830e880e3b55d6a68e 478956 freebsd-buildutils_8.2-5_kfreebsd-i386.deb
Checksums-Sha256: 
 6e17ae515518d921332cd502993d14672cc8e585455b23c0cf7660e64a418b70 1374 freebsd-buildutils_8.2-5.dsc
 40b7bab77a945a93fa141c06d566a07ce58e4d8fc3550c2139056c274d7e10d5 30592 freebsd-buildutils_8.2-5.debian.tar.gz
 401e0c6c0542f76357cca533c7b9cdea8e561ffbeaa83f2033b0de27dcad5689 478956 freebsd-buildutils_8.2-5_kfreebsd-i386.deb
Files: 
 a0111239e82568cb3e539822290de38f 1374 devel extra freebsd-buildutils_8.2-5.dsc
 a0b6abc07d407509958bf3ecd136290a 30592 devel extra freebsd-buildutils_8.2-5.debian.tar.gz
 0b27469b24dc56afe0e895c5e7affd90 478956 devel extra freebsd-buildutils_8.2-5_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4RxiUACgkQC19io6rUCv8IcQCgjsaYtI7f+lqOclkgRrNszaWH
PisAnjmKbRdUvw2zXGA8XVFzuiHVNbAG
=01iL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Aug 2011 07:31:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:05:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.